package com.loganmagnan.firstjoincommand.listeners;

import com.loganmagnan.firstjoincommand.FirstJoinCommand;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.scheduler.BukkitRunnable;

public class PlayerJoinListener implements Listener {

    private FirstJoinCommand main = FirstJoinCommand.getInstance();

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Player player = event.getPlayer();

        if (player.hasPlayedBefore()) {
            return;
        }

        for (String string : main.getMainConfig().getConfig().getStringList("FIRST-JOIN-COMMANDS")) {
            main.getServer().dispatchCommand(main.getServer().getConsoleSender(), string.replace("%player%", player.getName()));
        }
    }
}
